<template>
  <div>
    <el-tabs v-model="activeName" @tab-click="handleClick" class="">
        <el-tab-pane name="first" label="未完成">
        </el-tab-pane>
        <el-tab-pane label="已完成" name="second">
        </el-tab-pane>
    </el-tabs>
    <router-view :activeName="activeName" :reportType="reportType" :status="status"></router-view>
  </div>
</template>

<script>
export default {
  components: {
  },
  data() {
    return {
      activeName: 'first',
      // reportType:['开卷任务','协同任务','对比任务','初筛任务'],
      status:['未完成','已完成','负责人处理中'],
    }
  },
  computed:{
    reportType(){
      var a = this.$store.state.dictMessage.dictMessage.TASK_TYPE
      var b = {}
      if(a){
         a.forEach(item => {
          b[item.dictChildValue] = item.dictChildLabel
        });
        return b
      }
     return []
      
    }
  },
  methods: {
    handleClick(tab) {
      console.log(tab)
    }
  },
}
</script>

<style lang="scss" scoped>

</style>